Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000218KdenliveRenderingpublic2008-10-17 15:072008-11-12 22:22
Reporternadavkav 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000218: mpeg4 file format should be mp4 and not avi
Descriptionit could be more appropriate to have the rendering of mpeg4 files be saved
in mp4 file format according to mpeg4 part 12 standard.
http://en.wikipedia.org/wiki/MPEG-4 [^]

it seems that, video files rendered with mpeg4 profiles are ASP (low bit rate) mpeg4-part-2 videos (xdiv,divx codecs)
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000645)
madsdyd (administrator)
2008-10-24 08:49

I assume you are refering to the default render profiles in Kdenlive?

They use a container format of avi (f=avi) and a codec format of mpeg4 (vcodec=mpeg4). According to ffmpeg, the mpeg4 codec is "MPEG-4 part 2".

So, you suggestion is to change the container to mp4 format?

I am bit worried about that, because ffmpeg only marks the mp4 container format with : ""E mp4 MP4 format"

I would think we want to provide a container format that is generally useful, and if we produce files ffmpeg can not decode, I think that might be a problem?
(0000736)
madsdyd (administrator)
2008-10-28 23:00

In svn rev. 2582, the default extensions have been changed to .mp4, but the container is still an avi (f=avi). Closing bug.

- Issue History
Date Modified Username Field Change
2008-10-17 15:07 nadavkav New Issue
2008-10-24 08:49 madsdyd Note Added: 0000645
2008-10-24 08:49 madsdyd Status new => feedback
2008-10-28 23:00 madsdyd Note Added: 0000736
2008-10-28 23:00 madsdyd Status feedback => closed
2008-10-28 23:00 madsdyd Resolution open => fixed
2008-10-28 23:00 madsdyd Fixed in Version => Recent git
2008-10-28 23:00 madsdyd Target Version => 0.7.0
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker